<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Plane.html">Plane</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Plane Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bca44420e1c49338ae721f298826e164935">BOTH_SIDE</a> enum value</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a8e7de1712320968bee111002bc2938b8">d</a></td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a9548b13f88e65d98ea08ba01c8f2fad1">getDistance</a>(const Vector3 &amp;rkPoint) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#ae0131ee8cf1c09587c5cc4541c3b6297">getSide</a>(const Vector3 &amp;rkPoint) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#ab60532827d305cb7848f540be2cfb66b">getSide</a>(const AxisAlignedBox &amp;rkBox) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa8a0b3abc05dcc47ef7ce79d98fb8a99">getSide</a>(const Vector3 &amp;centre, const Vector3 &amp;halfSize) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bcaaf227c36d02442779fd4600d00580f5e">NEGATIVE_SIDE</a> enum value</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bcaad112821a6c39f0097136ba5df53052a">NO_SIDE</a> enum value</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a3f97462d3822f6add8c070048f6c2d92">normal</a></td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a090aae792b4fecc6e8b1b5810f029edf">normalise</a>(void)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#adae7d1d5d43cbe44cd40fc1e86784268">operator!=</a>(const Plane &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a3a3cc401219af46e986952c5f6bc7959">operator&lt;&lt;</a>(std::ostream &amp;o, const Plane &amp;p)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a06e8f4ea4698c322580c4299f6a12e07">operator==</a>(const Plane &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a1530cc182a2a783e072eabe44f536149">Plane</a>()</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a1e298ca606c54a38ac5ea0df02282e62">Plane</a>(const Plane &amp;rhs)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a296599d7461accceada20df86f7bd334">Plane</a>(const Vector3 &amp;rkNormal, Real fConstant)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a6bbbefc667888c438cfbe78aaf5a5ee3">Plane</a>(Real a, Real b, Real c, Real d)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#abd98e0aae4723943f83262e59cfda535">Plane</a>(const Vector3 &amp;rkNormal, const Vector3 &amp;rkPoint)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#af8000ad8fdef98bcc7e21a9d194547a0">Plane</a>(const Vector3 &amp;rkPoint0, const Vector3 &amp;rkPoint1, const Vector3 &amp;rkPoint2)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bcac5f2b56ac439b77aad6dfc4031891be5">POSITIVE_SIDE</a> enum value</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a54e83c81355e526a2b02d02625d42c4c">projectVector</a>(const Vector3 &amp;v) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a3edb29b896bac43b3a199460123e94b2">redefine</a>(const Vector3 &amp;rkPoint0, const Vector3 &amp;rkPoint1, const Vector3 &amp;rkPoint2)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a74dab1f3fb059277cd477aa683b238f7">redefine</a>(const Vector3 &amp;rkNormal, const Vector3 &amp;rkPoint)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bc">Side</a> enum name</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
